Create a UDV NFS standalone share
Create a UDV NFS standalone share
- application/json
Request Body required
- name string required
Name of the UDV NFS share
- planId int32 required
Plan associated with the UDV NFS share
mediaAgents object[] required
Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share
id int32name string- allowedClientsType string required
Possible values: [
ALL,IP_ADDRESS,CIDR_BLOCK]Determines how allowedClientsList values are interpreted
- allowedClientsList string[]
IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'
- 201
- 400
- 500
UDV NFS standalone share created successfully
- application/json
- Schema
- Example (from schema)
Schema
share object
id int32ID of the UDV NFS share
name stringName of the UDV NFS share
subclientId int32Subclient associated with the UDV NFS share
planId int32Plan associated with the UDV NFS share
mediaAgents object[]
Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share
id int32name stringallowedClientsType stringPossible values: [
ALL,IP_ADDRESS,CIDR_BLOCK]Determines how allowedClientsList values are interpreted
allowedClientsList string[]IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'
mediaAgentExportStatuses object[]
mediaAgent object
id int32name stringexportStatus stringPossible values: [
SUCCESS,FAILED]Export status of the UDV NFS share on the Media Agent
errorString stringError message if the export status is FAILED
{
"share": {
"id": 0,
"name": "string",
"subclientId": 0,
"planId": 0,
"mediaAgents": [
{
"id": 0,
"name": "string"
}
],
"allowedClientsType": "ALL",
"allowedClientsList": [
"string"
]
},
"mediaAgentExportStatuses": [
{
"mediaAgent": {
"id": 0,
"name": "string"
},
"exportStatus": "SUCCESS",
"errorString": "string"
}
]
}
Invalid request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}